RDKit: RDKit::MolDraw2D_detail::DrawMol Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::MolDraw2D_detail::DrawMol Class Reference

`#include <DrawMol.h>`

Inheritance diagram for RDKit::MolDraw2D_detail::DrawMol:

## Public Member Functions
virtual | ~DrawMol ()=default
| DrawMol (const ROMol &mol, const std::string &legend, int width, int height, const MolDrawOptions &drawOptions, DrawText &textDrawer, const std::vector< int > *highlightAtoms=nullptr, const std::vector< int > *highlightBonds=nullptr, const std::map< int, DrawColour > *highlightAtomMap=nullptr, const std::map< int, DrawColour > *highlightBondMap=nullptr, const std::vector< std::pair< DrawColour, DrawColour > > *bondColours=nullptr, const std::map< int, double > *highlight_radii=nullptr, bool includeAnnotations=true, int confId=-1, bool isReactionMol=false)
| DrawMol (int width, int height, const MolDrawOptions &drawOptions, DrawText &textDrawer, double xmin, double xmax, double ymin, double ymax, double scale, double fontscale)
| DrawMol (const DrawMol &)=delete
| DrawMol (DrawMol &&)=delete
DrawMol & | operator= (const DrawMol &)=delete
DrawMol & | operator= (DrawMol &&)=delete
void | createDrawObjects ()
void | finishCreateDrawObjects ()
void | initDrawMolecule (const ROMol &mol)
void | extractAll (double scale)
void | extractAtomCoords ()
void | extractAtomSymbols ()
void | extractBonds ()
virtual void | extractHighlights (double scale)
void | extractRegions ()
void | extractAttachments ()
void | extractMolNotes ()
void | extractCIPCodes (bool showAllCIPCodes)
void | extractStereoGroups ()
void | extractAtomNotes ()
void | extractBondNotes ()
void | extractRadicals ()
void | extractSGroupData ()
void | extractVariableBonds ()
void | extractBrackets ()
void | extractLinkNodes ()
void | extractCloseContacts ()
void | resolveAtomSymbolClashes ()
void | calculateScale ()
void | findExtremes ()
void | changeToDrawCoords ()
void | draw (MolDraw2D &drawer) const
void | drawRadicals (MolDraw2D &drawer) const
void | resetEverything ()
void | shrinkToFit (bool withPadding=true)
std::pair< std::string, OrientType > | getAtomSymbolAndOrientation (const Atom &atom) const
std::string | getAtomSymbol (const Atom &atom, OrientType orientation) const
OrientType | getAtomOrientation (const Atom &atom) const
void | partitionForLegend ()
void | extractLegend ()
void | calcMeanBondLength ()
void | makeStandardBond (Bond *bond, double doubleBondOffset)
void | makeQueryBond (Bond *bond, double doubleBondOffset)
void | makeDoubleBondLines (Bond *bond, double doubleBondOffset, const std::pair< DrawColour, DrawColour > &cols)
void | makeTripleBondLines (Bond *bond, double doubleBondOffset, const std::pair< DrawColour, DrawColour > &cols)
void | makeWedgedBond (Bond *bond, const std::pair< DrawColour, DrawColour > &cols)
void | makeWavyBond (Bond *bond, double offset, const std::pair< DrawColour, DrawColour > &cols)
void | makeDativeBond (Bond *bond, double offset, const std::pair< DrawColour, DrawColour > &cols)
void | makeZeroBond (Bond *bond, const std::pair< DrawColour, DrawColour > &cols, const DashPattern &dashPattern)
void | adjustBondEndsForLabels (int begAtIdx, int endAtIdx, Point2D &begCds, Point2D &endCds) const
void | newBondLine (const Point2D &pt1, const Point2D &pt2, const DrawColour &col1, const DrawColour &col2, int atom1Idx, int atom2Idx, int bondIdx, const DashPattern &dashPattern)
std::pair< DrawColour, DrawColour > | getBondColours (Bond *bond)
void | makeContinuousHighlights (double scale)
void | makeAtomCircleHighlights ()
void | makeAtomEllipseHighlights (double lineWidth)
void | makeBondHighlightLines (double lineWidth, double scale)
void | calcAnnotationPosition (const Atom *atom, DrawAnnotation &annot) const
void | calcAnnotationPosition (const Bond *bond, DrawAnnotation &annot) const
double | getNoteStartAngle (const Atom *atom) const
int | doesNoteClash (const DrawAnnotation &annot) const
int | doesRectClash (const StringRect &rect, double padding) const
OrientType | calcRadicalRect (const Atom *atom, StringRect &rad_rect) const
void | getDrawTransformers (Point2D &trans, Point2D &scale, Point2D &toCentre) const
Point2D | getDrawCoords (const Point2D &atCds, const Point2D &trans, const Point2D &scaleFactor, const Point2D &toCentre) const
Point2D | getDrawCoords (const Point2D &atCds) const
Point2D | getDrawCoords (int atnum) const
Point2D | getAtomCoords (const Point2D &screenCds) const
Point2D | getAtomCoords (int atnum) const
double | getScale () const
double | getFontScale () const
void | setScale (double newScale, double newFontScale, bool ignoreFontLimits=true)
void | setTransformation (const DrawMol &sourceMol)
void | setOffsets (double xOffset, double yOffset)
void | tagAtomsWithCoords ()
void | transformAll (const Point2D *trans=nullptr, Point2D *scale=nullptr, const Point2D *toCentre=nullptr)
Point2D | transformPoint (const Point2D &pt, const Point2D *trans=nullptr, Point2D *scale=nullptr, const Point2D *toCentre=nullptr) const
void | calcDoubleBondLines (double offset, const Bond &bond, Point2D &l1s, Point2D &l1f, Point2D &l2s, Point2D &l2f) const
void | bondInsideRing (const Bond &bond, double offset, Point2D &l2s, Point2D &l2f) const
void | bondNonRing (const Bond &bond, double offset, Point2D &l2s, Point2D &l2f) const
void | doubleBondTerminal (Atom *at1, Atom *at2, double offset, Point2D &l1s, Point2D &l1f, Point2D &l2s, Point2D &l2f) const
Point2D | doubleBondEnd (unsigned int at1, unsigned int at2, unsigned int at3, double offset, bool trunc) const
void | calcTripleBondLines (double offset, const Bond &bond, Point2D &l1s, Point2D &l1f, Point2D &l2s, Point2D &l2f)
void | findOtherBondVecs (const Atom *atom, const Atom *otherAtom, std::vector< Point2D > &otherBondVecs) const
void | adjustBondsOnSolidWedgeEnds ()
void | smoothBondJoins ()
void | makeHighlightEnd (const Atom *end1, const Atom *end2, double lineWidth, const std::vector< Atom * > &end1HighNbrs, std::vector< Point2D > &points)
DrawColour | getColour (int atom_idx) const

## Public Attributes
const MolDrawOptions & | drawOptions_
DrawText & | textDrawer_
double | marginPadding_
std::vector< int > | highlightAtoms_
std::vector< int > | highlightBonds_
std::map< int, DrawColour > | highlightAtomMap_
std::map< int, DrawColour > | highlightBondMap_
std::vector< std::pair< DrawColour, DrawColour > > | bondColours_
std::map< int, double > | highlightRadii_
bool | includeAnnotations_
bool | isReactionMol_
std::string | legend_
std::unique_ptr< RWMol > | drawMol_
int | confId_
std::vector< Point2D > | atCds_
std::vector< std::unique_ptr< DrawShape > > | bonds_
std::vector< std::unique_ptr< DrawShape > > | preShapes_
std::vector< std::unique_ptr< DrawShape > > | postShapes_
std::vector< int > | atomicNums_
std::vector< std::pair< std::string, OrientType > > | atomSyms_
std::vector< std::unique_ptr< AtomSymbol > > | atomLabels_
std::vector< std::unique_ptr< DrawShape > > | highlights_
std::vector< std::unique_ptr< DrawAnnotation > > | annotations_
std::vector< std::unique_ptr< DrawAnnotation > > | legends_
std::vector< std::tuple< StringRect, OrientType, int > > | radicals_
std::vector< int > | singleBondLines_
int | width_
int | height_
int | drawWidth_
int | drawHeight_
double | scale_
double | fontScale_
double | xMin_
double | yMin_
double | xMax_
double | yMax_
double | xRange_
double | yRange_
double | xOffset_ = 0.0
double | yOffset_ = 0.0
double | meanBondLength_ = 0.0
int | molHeight_
int | legendHeight_ = 0
bool | drawingInitialised_ = false
int | activeAtmIdxOffset_ = 0
int | activeBndIdxOffset_ = 0
bool | flexiCanvasX_ = false
bool | flexiCanvasY_ = false

## Detailed Description

Definition at line 39 of file DrawMol.h.

## Constructor & Destructor Documentation

## ◆ ~DrawMol()

virtual RDKit::MolDraw2D_detail::DrawMol::~DrawMol | ( |  | ) |
| virtualdefault

## ◆ DrawMol() [1/4]

RDKit::MolDraw2D_detail::DrawMol::DrawMol | ( | const ROMol & | mol,
|  | const std::string & | legend,
|  | int | width,
|  | int | height,
|  | const MolDrawOptions & | drawOptions,
|  | DrawText & | textDrawer,
|  | const std::vector< int > * | highlightAtoms = nullptr,
|  | const std::vector< int > * | highlightBonds = nullptr,
|  | const std::map< int, DrawColour > * | highlightAtomMap = nullptr,
|  | const std::map< int, DrawColour > * | highlightBondMap = nullptr,
|  | const std::vector< std::pair< DrawColour, DrawColour > > * | bondColours = nullptr,
|  | const std::map< int, double > * | highlight_radii = nullptr,
|  | bool | includeAnnotations = true,
|  | int | confId = -1,
|  | bool | isReactionMol = false )

Parameters

  mol | : the molecule to draw
  legend | : the legend (to be drawn under the molecule)
  width | : width (in pixels) of the rendering set this to -1 to have the canvas size set automatically
  height | : height (in pixels) of the rendering set this to -1 to have the canvas size set automatically
  drawOptions | : a MolDrawOptions object from the owning MolDraw2D
  textDrawer | : a DrawText object from the owning MolDraw2D
  highlightAtoms | : (optional) vector of atom ids to highlight
  highlightBonds | : (optional) vector of bond ids to highlight
  highlightAtomMap | : (optional) map from atomId -> DrawColour providing the highlight colors. If not provided the default highlight colour from `drawOptions()` will be used.
  highlightBondMap | : (optional) map from bondId -> DrawColour providing the highlight colors. If not provided the default highlight colour from `drawOptions()` will be used.
  highlightRadii | : (optional) map from atomId -> radius (in molecule coordinates) for the radii of atomic highlights. If not provided the default value from `drawOptions()` will be used.
  confId | : (optional) conformer ID to be used for atomic coordinates

Referenced by DrawMol(), DrawMol(), RDKit::MolDraw2D_detail::DrawMolMCH::DrawMolMCH(), RDKit::MolDraw2D_detail::DrawMolMCH::DrawMolMCH(), operator=(), operator=(), RDKit::MolDraw2D_detail::DrawMolMCH::operator=(), RDKit::MolDraw2D_detail::DrawMolMCH::operator=(), and setTransformation().

## ◆ DrawMol() [2/4]

RDKit::MolDraw2D_detail::DrawMol::DrawMol | ( | int | width,
|  | int | height,
|  | const MolDrawOptions & | drawOptions,
|  | DrawText & | textDrawer,
|  | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | double | scale,
|  | double | fontscale )

Make a DrawMol when there's no molecule to draw, but we still want a DrawMol in the MolDraw2D for scale, conversion of atom coords to draw coords etc. And so DrawMol starts sounding like a poor name for the class.

Parameters

  width | : width (in pixels) of the rendering
  height | : height (in pixels) of the rendering
  drawOptions | : a MolDrawOptions object from the owning MolDraw2D
  textDrawer | : a DrawText object from the owning MolDraw2D
  xmin | : minimum value expected in X
  xmax | : miaximum value expected in X
  ymin | : minimum value expected in Y
  ymax | : maximum value expected in Y
  scale | : scale to use
  fontscale | : font scale to use

## ◆ DrawMol() [3/4]

RDKit::MolDraw2D_detail::DrawMol::DrawMol | ( | const DrawMol & |  | ) |
| delete

References DrawMol().

## ◆ DrawMol() [4/4]

RDKit::MolDraw2D_detail::DrawMol::DrawMol | ( | DrawMol && |  | ) |
| delete

References DrawMol().

## Member Function Documentation

## ◆ adjustBondEndsForLabels()

void RDKit::MolDraw2D_detail::DrawMol::adjustBondEndsForLabels | ( | int | begAtIdx,
|  | int | endAtIdx,
|  | Point2D & | begCds,
|  | Point2D & | endCds ) const

## ◆ adjustBondsOnSolidWedgeEnds()

void RDKit::MolDraw2D_detail::DrawMol::adjustBondsOnSolidWedgeEnds | ( |  | ) |

## ◆ bondInsideRing()

void RDKit::MolDraw2D_detail::DrawMol::bondInsideRing | ( | const Bond & | bond,
|  | double | offset,
|  | Point2D & | l2s,
|  | Point2D & | l2f ) const

## ◆ bondNonRing()

void RDKit::MolDraw2D_detail::DrawMol::bondNonRing | ( | const Bond & | bond,
|  | double | offset,
|  | Point2D & | l2s,
|  | Point2D & | l2f ) const

## ◆ calcAnnotationPosition() [1/2]

void RDKit::MolDraw2D_detail::DrawMol::calcAnnotationPosition | ( | const Atom * | atom,
|  | DrawAnnotation & | annot ) const

## ◆ calcAnnotationPosition() [2/2]

void RDKit::MolDraw2D_detail::DrawMol::calcAnnotationPosition | ( | const Bond * | bond,
|  | DrawAnnotation & | annot ) const

## ◆ calcDoubleBondLines()

void RDKit::MolDraw2D_detail::DrawMol::calcDoubleBondLines | ( | double | offset,
|  | const Bond & | bond,
|  | Point2D & | l1s,
|  | Point2D & | l1f,
|  | Point2D & | l2s,
|  | Point2D & | l2f ) const

## ◆ calcMeanBondLength()

void RDKit::MolDraw2D_detail::DrawMol::calcMeanBondLength | ( |  | ) |

## ◆ calcRadicalRect()

OrientType RDKit::MolDraw2D_detail::DrawMol::calcRadicalRect | ( | const Atom * | atom,
|  | StringRect & | rad_rect ) const

## ◆ calcTripleBondLines()

void RDKit::MolDraw2D_detail::DrawMol::calcTripleBondLines | ( | double | offset,
|  | const Bond & | bond,
|  | Point2D & | l1s,
|  | Point2D & | l1f,
|  | Point2D & | l2s,
|  | Point2D & | l2f )

## ◆ calculateScale()

void RDKit::MolDraw2D_detail::DrawMol::calculateScale | ( |  | ) |

## ◆ changeToDrawCoords()

void RDKit::MolDraw2D_detail::DrawMol::changeToDrawCoords | ( |  | ) |

## ◆ createDrawObjects()

void RDKit::MolDraw2D_detail::DrawMol::createDrawObjects | ( |  | ) |

## ◆ doesNoteClash()

int RDKit::MolDraw2D_detail::DrawMol::doesNoteClash | ( | const DrawAnnotation & | annot | ) | const

## ◆ doesRectClash()

int RDKit::MolDraw2D_detail::DrawMol::doesRectClash | ( | const StringRect & | rect,
|  | double | padding ) const

## ◆ doubleBondEnd()

Point2D RDKit::MolDraw2D_detail::DrawMol::doubleBondEnd | ( | unsigned int | at1,
|  | unsigned int | at2,
|  | unsigned int | at3,
|  | double | offset,
|  | bool | trunc ) const

## ◆ doubleBondTerminal()

void RDKit::MolDraw2D_detail::DrawMol::doubleBondTerminal | ( | Atom * | at1,
|  | Atom * | at2,
|  | double | offset,
|  | Point2D & | l1s,
|  | Point2D & | l1f,
|  | Point2D & | l2s,
|  | Point2D & | l2f ) const

## ◆ draw()

void RDKit::MolDraw2D_detail::DrawMol::draw | ( | MolDraw2D & | drawer | ) | const

## ◆ drawRadicals()

void RDKit::MolDraw2D_detail::DrawMol::drawRadicals | ( | MolDraw2D & | drawer | ) | const

## ◆ extractAll()

void RDKit::MolDraw2D_detail::DrawMol::extractAll | ( | double | scale | ) |

## ◆ extractAtomCoords()

void RDKit::MolDraw2D_detail::DrawMol::extractAtomCoords | ( |  | ) |

## ◆ extractAtomNotes()

void RDKit::MolDraw2D_detail::DrawMol::extractAtomNotes | ( |  | ) |

## ◆ extractAtomSymbols()

void RDKit::MolDraw2D_detail::DrawMol::extractAtomSymbols | ( |  | ) |

## ◆ extractAttachments()

void RDKit::MolDraw2D_detail::DrawMol::extractAttachments | ( |  | ) |

## ◆ extractBondNotes()

void RDKit::MolDraw2D_detail::DrawMol::extractBondNotes | ( |  | ) |

## ◆ extractBonds()

void RDKit::MolDraw2D_detail::DrawMol::extractBonds | ( |  | ) |

## ◆ extractBrackets()

void RDKit::MolDraw2D_detail::DrawMol::extractBrackets | ( |  | ) |

## ◆ extractCIPCodes()

void RDKit::MolDraw2D_detail::DrawMol::extractCIPCodes | ( | bool | showAllCIPCodes | ) |

## ◆ extractCloseContacts()

void RDKit::MolDraw2D_detail::DrawMol::extractCloseContacts | ( |  | ) |

## ◆ extractHighlights()

virtual void RDKit::MolDraw2D_detail::DrawMol::extractHighlights | ( | double | scale | ) |
| virtual

Reimplemented in RDKit::MolDraw2D_detail::DrawMolMCH, RDKit::MolDraw2D_detail::DrawMolMCHCircleAndLine, and RDKit::MolDraw2D_detail::DrawMolMCHLasso.

## ◆ extractLegend()

void RDKit::MolDraw2D_detail::DrawMol::extractLegend | ( |  | ) |

## ◆ extractLinkNodes()

void RDKit::MolDraw2D_detail::DrawMol::extractLinkNodes | ( |  | ) |

## ◆ extractMolNotes()

void RDKit::MolDraw2D_detail::DrawMol::extractMolNotes | ( |  | ) |

## ◆ extractRadicals()

void RDKit::MolDraw2D_detail::DrawMol::extractRadicals | ( |  | ) |

## ◆ extractRegions()

void RDKit::MolDraw2D_detail::DrawMol::extractRegions | ( |  | ) |

## ◆ extractSGroupData()

void RDKit::MolDraw2D_detail::DrawMol::extractSGroupData | ( |  | ) |

## ◆ extractStereoGroups()

void RDKit::MolDraw2D_detail::DrawMol::extractStereoGroups | ( |  | ) |

## ◆ extractVariableBonds()

void RDKit::MolDraw2D_detail::DrawMol::extractVariableBonds | ( |  | ) |

## ◆ findExtremes()

void RDKit::MolDraw2D_detail::DrawMol::findExtremes | ( |  | ) |

## ◆ findOtherBondVecs()

void RDKit::MolDraw2D_detail::DrawMol::findOtherBondVecs | ( | const Atom * | atom,
|  | const Atom * | otherAtom,
|  | std::vector< Point2D > & | otherBondVecs ) const

## ◆ finishCreateDrawObjects()

void RDKit::MolDraw2D_detail::DrawMol::finishCreateDrawObjects | ( |  | ) |

## ◆ getAtomCoords() [1/2]

Point2D RDKit::MolDraw2D_detail::DrawMol::getAtomCoords | ( | const Point2D & | screenCds | ) | const

## ◆ getAtomCoords() [2/2]

Point2D RDKit::MolDraw2D_detail::DrawMol::getAtomCoords | ( | int | atnum | ) | const

## ◆ getAtomOrientation()

OrientType RDKit::MolDraw2D_detail::DrawMol::getAtomOrientation | ( | const Atom & | atom | ) | const

## ◆ getAtomSymbol()

std::string RDKit::MolDraw2D_detail::DrawMol::getAtomSymbol | ( | const Atom & | atom,
|  | OrientType | orientation ) const

## ◆ getAtomSymbolAndOrientation()

std::pair< std::string, OrientType > RDKit::MolDraw2D_detail::DrawMol::getAtomSymbolAndOrientation | ( | const Atom & | atom | ) | const

## ◆ getBondColours()

std::pair< DrawColour, DrawColour > RDKit::MolDraw2D_detail::DrawMol::getBondColours | ( | Bond * | bond | ) |

## ◆ getColour()

DrawColour RDKit::MolDraw2D_detail::DrawMol::getColour | ( | int | atom_idx | ) | const

## ◆ getDrawCoords() [1/3]

Point2D RDKit::MolDraw2D_detail::DrawMol::getDrawCoords | ( | const Point2D & | atCds | ) | const

## ◆ getDrawCoords() [2/3]

Point2D RDKit::MolDraw2D_detail::DrawMol::getDrawCoords | ( | const Point2D & | atCds,
|  | const Point2D & | trans,
|  | const Point2D & | scaleFactor,
|  | const Point2D & | toCentre ) const

## ◆ getDrawCoords() [3/3]

Point2D RDKit::MolDraw2D_detail::DrawMol::getDrawCoords | ( | int | atnum | ) | const

## ◆ getDrawTransformers()

void RDKit::MolDraw2D_detail::DrawMol::getDrawTransformers | ( | Point2D & | trans,
|  | Point2D & | scale,
|  | Point2D & | toCentre ) const

## ◆ getFontScale()

double RDKit::MolDraw2D_detail::DrawMol::getFontScale | ( |  | ) | const
| inline

Definition at line 202 of file DrawMol.h.

References fontScale_.

## ◆ getNoteStartAngle()

double RDKit::MolDraw2D_detail::DrawMol::getNoteStartAngle | ( | const Atom * | atom | ) | const

## ◆ getScale()

double RDKit::MolDraw2D_detail::DrawMol::getScale | ( |  | ) | const
| inline

Definition at line 201 of file DrawMol.h.

References scale_.

## ◆ initDrawMolecule()

void RDKit::MolDraw2D_detail::DrawMol::initDrawMolecule | ( | const ROMol & | mol | ) |

## ◆ makeAtomCircleHighlights()

void RDKit::MolDraw2D_detail::DrawMol::makeAtomCircleHighlights | ( |  | ) |

## ◆ makeAtomEllipseHighlights()

void RDKit::MolDraw2D_detail::DrawMol::makeAtomEllipseHighlights | ( | double | lineWidth | ) |

## ◆ makeBondHighlightLines()

void RDKit::MolDraw2D_detail::DrawMol::makeBondHighlightLines | ( | double | lineWidth,
|  | double | scale )

## ◆ makeContinuousHighlights()

void RDKit::MolDraw2D_detail::DrawMol::makeContinuousHighlights | ( | double | scale | ) |

## ◆ makeDativeBond()

void RDKit::MolDraw2D_detail::DrawMol::makeDativeBond | ( | Bond * | bond,
|  | double | offset,
|  | const std::pair< DrawColour, DrawColour > & | cols )

## ◆ makeDoubleBondLines()

void RDKit::MolDraw2D_detail::DrawMol::makeDoubleBondLines | ( | Bond * | bond,
|  | double | doubleBondOffset,
|  | const std::pair< DrawColour, DrawColour > & | cols )

## ◆ makeHighlightEnd()

void RDKit::MolDraw2D_detail::DrawMol::makeHighlightEnd | ( | const Atom * | end1,
|  | const Atom * | end2,
|  | double | lineWidth,
|  | const std::vector< Atom * > & | end1HighNbrs,
|  | std::vector< Point2D > & | points )

## ◆ makeQueryBond()

void RDKit::MolDraw2D_detail::DrawMol::makeQueryBond | ( | Bond * | bond,
|  | double | doubleBondOffset )

## ◆ makeStandardBond()

void RDKit::MolDraw2D_detail::DrawMol::makeStandardBond | ( | Bond * | bond,
|  | double | doubleBondOffset )

## ◆ makeTripleBondLines()

void RDKit::MolDraw2D_detail::DrawMol::makeTripleBondLines | ( | Bond * | bond,
|  | double | doubleBondOffset,
|  | const std::pair< DrawColour, DrawColour > & | cols )

## ◆ makeWavyBond()

void RDKit::MolDraw2D_detail::DrawMol::makeWavyBond | ( | Bond * | bond,
|  | double | offset,
|  | const std::pair< DrawColour, DrawColour > & | cols )

## ◆ makeWedgedBond()

void RDKit::MolDraw2D_detail::DrawMol::makeWedgedBond | ( | Bond * | bond,
|  | const std::pair< DrawColour, DrawColour > & | cols )

## ◆ makeZeroBond()

void RDKit::MolDraw2D_detail::DrawMol::makeZeroBond | ( | Bond * | bond,
|  | const std::pair< DrawColour, DrawColour > & | cols,
|  | const DashPattern & | dashPattern )

## ◆ newBondLine()

void RDKit::MolDraw2D_detail::DrawMol::newBondLine | ( | const Point2D & | pt1,
|  | const Point2D & | pt2,
|  | const DrawColour & | col1,
|  | const DrawColour & | col2,
|  | int | atom1Idx,
|  | int | atom2Idx,
|  | int | bondIdx,
|  | const DashPattern & | dashPattern )

## ◆ operator=() [1/2]

DrawMol & RDKit::MolDraw2D_detail::DrawMol::operator= | ( | const DrawMol & |  | ) |
| delete

References DrawMol().

## ◆ operator=() [2/2]

DrawMol & RDKit::MolDraw2D_detail::DrawMol::operator= | ( | DrawMol && |  | ) |
| delete

References DrawMol().

## ◆ partitionForLegend()

void RDKit::MolDraw2D_detail::DrawMol::partitionForLegend | ( |  | ) |

## ◆ resetEverything()

void RDKit::MolDraw2D_detail::DrawMol::resetEverything | ( |  | ) |

## ◆ resolveAtomSymbolClashes()

void RDKit::MolDraw2D_detail::DrawMol::resolveAtomSymbolClashes | ( |  | ) |

## ◆ setOffsets()

void RDKit::MolDraw2D_detail::DrawMol::setOffsets | ( | double | xOffset,
|  | double | yOffset )

## ◆ setScale()

void RDKit::MolDraw2D_detail::DrawMol::setScale | ( | double | newScale,
|  | double | newFontScale,
|  | bool | ignoreFontLimits = true )

## ◆ setTransformation()

void RDKit::MolDraw2D_detail::DrawMol::setTransformation | ( | const DrawMol & | sourceMol | ) |

References DrawMol().

## ◆ shrinkToFit()

void RDKit::MolDraw2D_detail::DrawMol::shrinkToFit | ( | bool | withPadding = true | ) |

## ◆ smoothBondJoins()

void RDKit::MolDraw2D_detail::DrawMol::smoothBondJoins | ( |  | ) |

## ◆ tagAtomsWithCoords()

void RDKit::MolDraw2D_detail::DrawMol::tagAtomsWithCoords | ( |  | ) |

## ◆ transformAll()

void RDKit::MolDraw2D_detail::DrawMol::transformAll | ( | const Point2D * | trans = nullptr,
|  | Point2D * | scale = nullptr,
|  | const Point2D * | toCentre = nullptr )

## ◆ transformPoint()

Point2D RDKit::MolDraw2D_detail::DrawMol::transformPoint | ( | const Point2D & | pt,
|  | const Point2D * | trans = nullptr,
|  | Point2D * | scale = nullptr,
|  | const Point2D * | toCentre = nullptr ) const

## Member Data Documentation

## ◆ activeAtmIdxOffset_

int RDKit::MolDraw2D_detail::DrawMol::activeAtmIdxOffset_ = 0

Definition at line 315 of file DrawMol.h.

## ◆ activeBndIdxOffset_

int RDKit::MolDraw2D_detail::DrawMol::activeBndIdxOffset_ = 0

Definition at line 315 of file DrawMol.h.

## ◆ annotations_

std::vector<std::unique_ptr<DrawAnnotation> > RDKit::MolDraw2D_detail::DrawMol::annotations_

Definition at line 287 of file DrawMol.h.

## ◆ atCds_

std::vector<Point2D> RDKit::MolDraw2D_detail::DrawMol::atCds_

Definition at line 279 of file DrawMol.h.

## ◆ atomicNums_

std::vector<int> RDKit::MolDraw2D_detail::DrawMol::atomicNums_

Definition at line 283 of file DrawMol.h.

## ◆ atomLabels_

std::vector<std::unique_ptr<AtomSymbol> > RDKit::MolDraw2D_detail::DrawMol::atomLabels_

Definition at line 285 of file DrawMol.h.

## ◆ atomSyms_

std::vector<std::pair<std::string, OrientType> > RDKit::MolDraw2D_detail::DrawMol::atomSyms_

Definition at line 284 of file DrawMol.h.

## ◆ bondColours_

std::vector<std::pair<DrawColour, DrawColour> > RDKit::MolDraw2D_detail::DrawMol::bondColours_

Definition at line 269 of file DrawMol.h.

## ◆ bonds_

std::vector<std::unique_ptr<DrawShape> > RDKit::MolDraw2D_detail::DrawMol::bonds_

Definition at line 280 of file DrawMol.h.

## ◆ confId_

int RDKit::MolDraw2D_detail::DrawMol::confId_

Definition at line 276 of file DrawMol.h.

## ◆ drawHeight_

int RDKit::MolDraw2D_detail::DrawMol::drawHeight_

Definition at line 299 of file DrawMol.h.

## ◆ drawingInitialised_

bool RDKit::MolDraw2D_detail::DrawMol::drawingInitialised_ = false

Definition at line 311 of file DrawMol.h.

## ◆ drawMol_

std::unique_ptr<RWMol> RDKit::MolDraw2D_detail::DrawMol::drawMol_

Definition at line 275 of file DrawMol.h.

## ◆ drawOptions_

const MolDrawOptions& RDKit::MolDraw2D_detail::DrawMol::drawOptions_

Definition at line 259 of file DrawMol.h.

## ◆ drawWidth_

int RDKit::MolDraw2D_detail::DrawMol::drawWidth_

Definition at line 299 of file DrawMol.h.

## ◆ flexiCanvasX_

bool RDKit::MolDraw2D_detail::DrawMol::flexiCanvasX_ = false

Definition at line 316 of file DrawMol.h.

## ◆ flexiCanvasY_

bool RDKit::MolDraw2D_detail::DrawMol::flexiCanvasY_ = false

Definition at line 317 of file DrawMol.h.

## ◆ fontScale_

double RDKit::MolDraw2D_detail::DrawMol::fontScale_

Definition at line 302 of file DrawMol.h.

Referenced by getFontScale().

## ◆ height_

int RDKit::MolDraw2D_detail::DrawMol::height_

Definition at line 295 of file DrawMol.h.

## ◆ highlightAtomMap_

std::map<int, DrawColour> RDKit::MolDraw2D_detail::DrawMol::highlightAtomMap_

Definition at line 267 of file DrawMol.h.

## ◆ highlightAtoms_

std::vector<int> RDKit::MolDraw2D_detail::DrawMol::highlightAtoms_

Definition at line 265 of file DrawMol.h.

## ◆ highlightBondMap_

std::map<int, DrawColour> RDKit::MolDraw2D_detail::DrawMol::highlightBondMap_

Definition at line 268 of file DrawMol.h.

## ◆ highlightBonds_

std::vector<int> RDKit::MolDraw2D_detail::DrawMol::highlightBonds_

Definition at line 266 of file DrawMol.h.

## ◆ highlightRadii_

std::map<int, double> RDKit::MolDraw2D_detail::DrawMol::highlightRadii_

Definition at line 270 of file DrawMol.h.

## ◆ highlights_

std::vector<std::unique_ptr<DrawShape> > RDKit::MolDraw2D_detail::DrawMol::highlights_

Definition at line 286 of file DrawMol.h.

## ◆ includeAnnotations_

bool RDKit::MolDraw2D_detail::DrawMol::includeAnnotations_

Definition at line 271 of file DrawMol.h.

## ◆ isReactionMol_

bool RDKit::MolDraw2D_detail::DrawMol::isReactionMol_

Definition at line 272 of file DrawMol.h.

## ◆ legend_

std::string RDKit::MolDraw2D_detail::DrawMol::legend_

Definition at line 273 of file DrawMol.h.

## ◆ legendHeight_

int RDKit::MolDraw2D_detail::DrawMol::legendHeight_ = 0

Definition at line 310 of file DrawMol.h.

## ◆ legends_

std::vector<std::unique_ptr<DrawAnnotation> > RDKit::MolDraw2D_detail::DrawMol::legends_

Definition at line 288 of file DrawMol.h.

## ◆ marginPadding_

double RDKit::MolDraw2D_detail::DrawMol::marginPadding_

Definition at line 264 of file DrawMol.h.

## ◆ meanBondLength_

double RDKit::MolDraw2D_detail::DrawMol::meanBondLength_ = 0.0

Definition at line 306 of file DrawMol.h.

## ◆ molHeight_

int RDKit::MolDraw2D_detail::DrawMol::molHeight_

Definition at line 310 of file DrawMol.h.

## ◆ postShapes_

std::vector<std::unique_ptr<DrawShape> > RDKit::MolDraw2D_detail::DrawMol::postShapes_

Definition at line 282 of file DrawMol.h.

## ◆ preShapes_

std::vector<std::unique_ptr<DrawShape> > RDKit::MolDraw2D_detail::DrawMol::preShapes_

Definition at line 281 of file DrawMol.h.

## ◆ radicals_

std::vector<std::tuple<StringRect, OrientType, int> > RDKit::MolDraw2D_detail::DrawMol::radicals_

Definition at line 289 of file DrawMol.h.

## ◆ scale_

double RDKit::MolDraw2D_detail::DrawMol::scale_

Definition at line 302 of file DrawMol.h.

Referenced by getScale().

## ◆ singleBondLines_

std::vector<int> RDKit::MolDraw2D_detail::DrawMol::singleBondLines_

Definition at line 290 of file DrawMol.h.

## ◆ textDrawer_

DrawText& RDKit::MolDraw2D_detail::DrawMol::textDrawer_

Definition at line 260 of file DrawMol.h.

## ◆ width_

int RDKit::MolDraw2D_detail::DrawMol::width_

Definition at line 295 of file DrawMol.h.

## ◆ xMax_

double RDKit::MolDraw2D_detail::DrawMol::xMax_

Definition at line 303 of file DrawMol.h.

## ◆ xMin_

double RDKit::MolDraw2D_detail::DrawMol::xMin_

Definition at line 303 of file DrawMol.h.

## ◆ xOffset_

double RDKit::MolDraw2D_detail::DrawMol::xOffset_ = 0.0

Definition at line 305 of file DrawMol.h.

## ◆ xRange_

double RDKit::MolDraw2D_detail::DrawMol::xRange_

Definition at line 303 of file DrawMol.h.

## ◆ yMax_

double RDKit::MolDraw2D_detail::DrawMol::yMax_

Definition at line 303 of file DrawMol.h.

## ◆ yMin_

double RDKit::MolDraw2D_detail::DrawMol::yMin_

Definition at line 303 of file DrawMol.h.

## ◆ yOffset_

double RDKit::MolDraw2D_detail::DrawMol::yOffset_ = 0.0

Definition at line 305 of file DrawMol.h.

## ◆ yRange_

double RDKit::MolDraw2D_detail::DrawMol::yRange_

Definition at line 303 of file DrawMol.h.

The documentation for this class was generated from the following file:

- DrawMol.h